Package org.acplt.oncrpc

# Interface OncRpcBroadcastListener

All Known Implementing Classes:
  `OncRpcBroadcastAdapter`

public interface OncRpcBroadcastListener
The listener class for `receiving` `ONC/RPC broadcast reply events`.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Method Summary

Modifier and Type
Method
Description
`void`
`replyReceived(OncRpcBroadcastEvent evt)`
Invoked when a reply to an ONC/RPC broadcast call is received.

## Method Details

### replyReceived

void replyReceived(OncRpcBroadcastEvent evt)
Invoked when a reply to an ONC/RPC broadcast call is received.

Please note that you should not spend too much time when handling broadcast events, otherwise you'll probably miss some of the incomming replies. Because most operating systems will not buffer large amount of incomming UDP/IP datagramms for a given socket, you will experience packet drops when you stay too long in the processing stage.

Parameters:
  `evt` - The broadcast event received.
See Also:
  - `OncRpcBroadcastEvent`